``` ini

BenchmarkDotNet=v0.13.0, OS=Windows 10.0.19042.1052 (20H2/October2020Update)
AMD Ryzen 9 3950X, 1 CPU, 32 logical and 16 physical cores
.NET SDK=6.0.100-preview.1.21103.13
  [Host]     : .NET 5.0.6 (5.0.621.22011), X64 RyuJIT
  DefaultJob : .NET 5.0.6 (5.0.621.22011), X64 RyuJIT


```
|                                       Method | LineCount |             Mean |          Error |         StdDev |           Median |        Gen 0 |        Gen 1 |      Gen 2 |     Allocated |
|--------------------------------------------- |---------- |-----------------:|---------------:|---------------:|-----------------:|-------------:|-------------:|-----------:|--------------:|
|                                       **ChoEtl** |         **0** |         **96.39 μs** |       **1.900 μs** |       **2.536 μs** |         **95.80 μs** |            **-** |            **-** |          **-** |         **12 KB** |
|                            CommonLibrary_Net |         0 |         25.86 μs |       0.122 μs |       0.115 μs |         25.82 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                          Csv |         0 |         26.33 μs |       0.195 μs |       0.182 μs |         26.34 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                      CSVFile |         0 |         26.81 μs |       0.158 μs |       0.140 μs |         26.83 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                    CsvHelper |         0 |         29.91 μs |       0.289 μs |       0.270 μs |         29.74 μs |       2.8687 |       1.4343 |          - |         24 KB |
|                           CsvTextFieldParser |         0 |         26.27 μs |       0.140 μs |       0.117 μs |         26.29 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                     CsvTools |         0 |         31.42 μs |       0.298 μs |       0.264 μs |         31.48 μs |       0.1526 |       0.0916 |          - |          1 KB |
|                                     Ctl_Data |         0 |         25.29 μs |       0.210 μs |       0.186 μs |         25.26 μs |       1.5259 |       0.7629 |          - |         13 KB |
|                                    Cursively |         0 |         28.23 μs |       0.114 μs |       0.101 μs |         28.26 μs |       0.4272 |       0.2136 |          - |          4 KB |
|                                FastCsvParser |         0 |         39.23 μs |       0.299 μs |       0.280 μs |         39.28 μs |      46.7529 |      41.5039 |    38.1470 |        196 KB |
|                                    FlatFiles |         0 |         25.75 μs |       0.120 μs |       0.100 μs |         25.74 μs |       1.6174 |       0.8240 |          - |         13 KB |
|                                    FluentCsv |         0 |         25.99 μs |       0.156 μs |       0.146 μs |         26.00 μs |       0.5188 |       0.2441 |          - |          4 KB |
|                                    HomeGrown |         0 |         26.29 μs |       0.135 μs |       0.126 μs |         26.27 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                    LinqToCsv |         0 |         28.34 μs |       0.473 μs |       0.442 μs |         28.18 μs |       1.6479 |       0.8240 |          - |         14 KB |
|                          LumenWorksCsvReader |         0 |         26.22 μs |       0.517 μs |       0.484 μs |         26.18 μs |       1.5564 |       0.7935 |          - |         13 KB |
|                              mgholam_fastCSV |         0 |         42.19 μs |       0.832 μs |       1.110 μs |         41.67 μs |      48.4009 |      41.8091 |    37.9639 |        211 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |         0 |         32.19 μs |       0.289 μs |       0.270 μs |         32.17 μs |       3.7231 |       1.8921 |          - |         31 KB |
|                                    NReco_Csv |         0 |         26.94 μs |       0.132 μs |       0.124 μs |         26.95 μs |      10.2844 |       2.6855 |          - |         85 KB |
|                            ServiceStack_Text |         0 |         26.26 μs |       0.149 μs |       0.139 μs |         26.32 μs |       0.5188 |       0.2441 |          - |          4 KB |
|                                 Sky_Data_Csv |         0 |         61.32 μs |       0.517 μs |       0.458 μs |         61.29 μs |      32.0435 |      29.9072 |    20.2026 |        354 KB |
|                                 string_Split |         0 |         25.81 μs |       0.121 μs |       0.107 μs |         25.79 μs |       0.5188 |       0.2441 |          - |          4 KB |
|                       SoftCircuits_CsvParser |         0 |         25.96 μs |       0.082 μs |       0.064 μs |         25.98 μs |       0.5798 |       0.2747 |          - |          5 KB |
|                              Sylvan_Data_Csv |         0 |         27.85 μs |       0.202 μs |       0.189 μs |         27.87 μs |       0.8545 |       0.4272 |          - |          7 KB |
|                                TinyCsvReader |         0 |         25.93 μs |       0.172 μs |       0.152 μs |         25.93 μs |       0.5493 |       0.2747 |          - |          5 KB |
|                                       **ChoEtl** |         **1** |        **263.06 μs** |       **0.286 μs** |       **0.267 μs** |        **263.09 μs** |       **9.7656** |       **4.8828** |          **-** |         **82 KB** |
|                            CommonLibrary_Net |         1 |         61.23 μs |       0.315 μs |       0.263 μs |         61.29 μs |       2.9297 |       1.4648 |          - |         25 KB |
|                                          Csv |         1 |         70.59 μs |       0.479 μs |       0.448 μs |         70.75 μs |       3.4180 |       1.7090 |          - |         28 KB |
|                                      CSVFile |         1 |         30.96 μs |       0.170 μs |       0.151 μs |         30.96 μs |       1.0986 |       0.5493 |          - |          9 KB |
|                                    CsvHelper |         1 |         35.61 μs |       0.230 μs |       0.215 μs |         35.62 μs |       2.9907 |       1.5259 |          - |         25 KB |
|                           CsvTextFieldParser |         1 |         31.45 μs |       0.173 μs |       0.161 μs |         31.48 μs |       1.0376 |       0.4883 |          - |          9 KB |
|                                     CsvTools |         1 |         38.44 μs |       0.107 μs |       0.094 μs |         38.45 μs |       3.9673 |       1.4038 |          - |         33 KB |
|                                     Ctl_Data |         1 |         29.47 μs |       0.159 μs |       0.141 μs |         29.51 μs |       1.9226 |       0.9766 |          - |         16 KB |
|                                    Cursively |         1 |         31.96 μs |       0.119 μs |       0.100 μs |         31.95 μs |       0.6714 |       0.3662 |          - |          6 KB |
|                                FastCsvParser |         1 |         41.46 μs |       0.147 μs |       0.138 μs |         41.46 μs |      47.4854 |      41.5649 |    38.2080 |        203 KB |
|                                    FlatFiles |         1 |         37.27 μs |       0.389 μs |       0.364 μs |         37.10 μs |       2.3193 |       1.1597 |          - |         19 KB |
|                                    FluentCsv |         1 |         29.15 μs |       0.170 μs |       0.159 μs |         29.21 μs |       0.7935 |       0.3967 |          - |          7 KB |
|                                    HomeGrown |         1 |         30.96 μs |       0.195 μs |       0.182 μs |         30.99 μs |       0.7935 |       0.3662 |          - |          7 KB |
|                                    LinqToCsv |         1 |         34.56 μs |       0.200 μs |       0.178 μs |         34.59 μs |       2.3804 |       1.2207 |          - |         20 KB |
|                          LumenWorksCsvReader |         1 |         32.00 μs |       0.163 μs |       0.145 μs |         31.99 μs |       1.4648 |       0.7324 |          - |         12 KB |
|                              mgholam_fastCSV |         1 |         46.19 μs |       0.229 μs |       0.203 μs |         46.22 μs |      48.7671 |      42.7856 |    38.1470 |        213 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |         1 |         71.86 μs |       0.438 μs |       0.389 μs |         71.94 μs |      11.2305 |       2.8076 |          - |         92 KB |
|                                    NReco_Csv |         1 |         31.88 μs |       0.237 μs |       0.210 μs |         31.91 μs |      10.6201 |       2.6245 |          - |         87 KB |
|                            ServiceStack_Text |         1 |         29.88 μs |       0.141 μs |       0.118 μs |         29.90 μs |       0.8240 |       0.3967 |          - |          7 KB |
|                                 Sky_Data_Csv |         1 |         67.77 μs |       1.334 μs |       1.248 μs |         68.20 μs |      31.8604 |      29.7852 |    19.6533 |        356 KB |
|                                 string_Split |         1 |         29.01 μs |       0.174 μs |       0.163 μs |         29.01 μs |       0.7935 |       0.3967 |          - |          6 KB |
|                       SoftCircuits_CsvParser |         1 |         29.92 μs |       0.213 μs |       0.200 μs |         29.98 μs |       0.8850 |       0.4578 |          - |          7 KB |
|                              Sylvan_Data_Csv |         1 |         35.38 μs |       0.175 μs |       0.164 μs |         35.37 μs |       1.8311 |       0.9155 |          - |         15 KB |
|                                TinyCsvReader |         1 |         32.68 μs |       0.109 μs |       0.102 μs |         32.65 μs |       1.2817 |       0.6714 |          - |         11 KB |
|                                       **ChoEtl** |        **10** |        **850.04 μs** |       **1.394 μs** |       **1.304 μs** |        **850.29 μs** |      **20.5078** |      **10.7422** |          **-** |        **170 KB** |
|                            CommonLibrary_Net |        10 |        318.23 μs |       0.575 μs |       0.510 μs |        318.19 μs |      19.5313 |       4.8828 |          - |        163 KB |
|                                          Csv |        10 |        241.76 μs |       1.335 μs |       1.249 μs |        241.90 μs |      14.6484 |       3.4180 |          - |        120 KB |
|                                      CSVFile |        10 |         54.28 μs |       0.216 μs |       0.192 μs |         54.27 μs |       6.4087 |       2.1362 |          - |         52 KB |
|                                    CsvHelper |        10 |         55.27 μs |       0.205 μs |       0.192 μs |         55.23 μs |       3.5400 |       1.7700 |          - |         29 KB |
|                           CsvTextFieldParser |        10 |         60.72 μs |       0.234 μs |       0.219 μs |         60.81 μs |       5.7373 |       1.9531 |          - |         47 KB |
|                                     CsvTools |        10 |         79.64 μs |       0.670 μs |       0.627 μs |         79.31 μs |       6.3477 |       2.0752 |          - |         52 KB |
|                                     Ctl_Data |        10 |         41.68 μs |       0.246 μs |       0.230 μs |         41.61 μs |       4.5776 |       1.5259 |          - |         38 KB |
|                                    Cursively |        10 |         45.20 μs |       0.190 μs |       0.177 μs |         45.16 μs |       1.5869 |       0.7935 |          - |         13 KB |
|                                FastCsvParser |        10 |         69.23 μs |       0.279 μs |       0.247 μs |         69.21 μs |      49.8047 |      42.1143 |    37.5977 |        228 KB |
|                                    FlatFiles |        10 |        102.61 μs |       0.548 μs |       0.512 μs |        102.69 μs |       5.8594 |       1.9531 |          - |         48 KB |
|                                    FluentCsv |        10 |         41.90 μs |       0.181 μs |       0.169 μs |         41.93 μs |       3.3569 |       1.7090 |          - |         28 KB |
|                                    HomeGrown |        10 |         54.18 μs |       0.253 μs |       0.211 μs |         54.23 μs |       2.1973 |       1.0986 |          - |         18 KB |
|                                    LinqToCsv |        10 |         72.38 μs |       0.200 μs |       0.187 μs |         72.42 μs |       8.6670 |       2.9297 |          - |         72 KB |
|                          LumenWorksCsvReader |        10 |         58.50 μs |       0.336 μs |       0.298 μs |         58.56 μs |       7.9956 |       2.6855 |          - |         66 KB |
|                              mgholam_fastCSV |        10 |         60.48 μs |       0.182 μs |       0.171 μs |         60.44 μs |      50.1099 |      43.7012 |    38.2690 |        224 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |        10 |        235.06 μs |       0.552 μs |       0.516 μs |        235.06 μs |      64.9414 |       8.3008 |          - |        530 KB |
|                                    NReco_Csv |        10 |         47.53 μs |       0.258 μs |       0.241 μs |         47.57 μs |      11.9019 |       3.9673 |          - |         98 KB |
|                            ServiceStack_Text |        10 |         48.53 μs |       0.184 μs |       0.172 μs |         48.52 μs |       3.7842 |       1.8311 |          - |         31 KB |
|                                 Sky_Data_Csv |        10 |         87.59 μs |       0.583 μs |       0.545 μs |         87.73 μs |      36.6211 |      34.3018 |    21.9727 |        378 KB |
|                                 string_Split |        10 |         42.41 μs |       0.216 μs |       0.202 μs |         42.40 μs |       3.3569 |       1.7090 |          - |         28 KB |
|                       SoftCircuits_CsvParser |        10 |         43.20 μs |       0.168 μs |       0.157 μs |         43.24 μs |       3.1128 |       1.5869 |          - |         26 KB |
|                              Sylvan_Data_Csv |        10 |         49.98 μs |       0.344 μs |       0.322 μs |         50.03 μs |       3.0518 |       1.5259 |          - |         25 KB |
|                                TinyCsvReader |        10 |         78.60 μs |       0.232 μs |       0.217 μs |         78.58 μs |       8.5449 |       2.1973 |          - |         70 KB |
|                                       **ChoEtl** |       **100** |      **6,657.79 μs** |      **58.844 μs** |      **55.043 μs** |      **6,673.30 μs** |     **125.0000** |      **46.8750** |          **-** |      **1,063 KB** |
|                            CommonLibrary_Net |       100 |      2,989.23 μs |       8.476 μs |       7.929 μs |      2,989.89 μs |     187.5000 |      70.3125 |          - |      1,556 KB |
|                                          Csv |       100 |      2,023.50 μs |      19.647 μs |      18.377 μs |      2,027.13 μs |     125.0000 |      31.2500 |          - |      1,048 KB |
|                                      CSVFile |       100 |        290.97 μs |       0.749 μs |       0.701 μs |        291.16 μs |      61.5234 |      15.1367 |          - |        503 KB |
|                                    CsvHelper |       100 |        259.20 μs |       2.178 μs |       2.037 μs |        259.87 μs |       8.3008 |       2.9297 |          - |         71 KB |
|                           CsvTextFieldParser |       100 |        345.42 μs |       0.308 μs |       0.240 μs |        345.40 μs |      53.2227 |      13.1836 |          - |        437 KB |
|                                     CsvTools |       100 |        495.45 μs |       3.056 μs |       2.859 μs |        496.08 μs |      29.2969 |       7.8125 |          - |        246 KB |
|                                     Ctl_Data |       100 |        165.12 μs |       3.109 μs |       2.908 μs |        165.18 μs |      31.7383 |       8.7891 |          - |        260 KB |
|                                    Cursively |       100 |        170.71 μs |       0.441 μs |       0.412 μs |        170.72 μs |       8.7891 |       2.9297 |          - |         72 KB |
|                                FastCsvParser |       100 |        238.27 μs |       2.814 μs |       2.632 μs |        237.87 μs |      73.9746 |      52.2461 |    38.3301 |        420 KB |
|                                    FlatFiles |       100 |        773.05 μs |       2.253 μs |       1.998 μs |        772.79 μs |      41.9922 |      11.7188 |          - |        343 KB |
|                                    FluentCsv |       100 |        178.31 μs |       0.492 μs |       0.436 μs |        178.26 μs |      30.2734 |       7.5684 |          - |        249 KB |
|                                    HomeGrown |       100 |        275.42 μs |       3.151 μs |       2.948 μs |        276.54 μs |      15.6250 |       4.8828 |          - |        129 KB |
|                                    LinqToCsv |       100 |        450.81 μs |       1.512 μs |       1.341 μs |        451.19 μs |      73.7305 |      18.0664 |          - |        603 KB |
|                          LumenWorksCsvReader |       100 |        313.39 μs |       3.046 μs |       2.849 μs |        314.42 μs |      68.3594 |      16.6016 |          - |        561 KB |
|                              mgholam_fastCSV |       100 |        193.61 μs |       0.362 μs |       0.321 μs |        193.58 μs |      64.4531 |      51.5137 |    38.5742 |        340 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |       100 |      1,871.82 μs |       6.228 μs |       5.825 μs |      1,869.62 μs |     619.1406 |     148.4375 |          - |      5,062 KB |
|                                    NReco_Csv |       100 |        207.83 μs |       0.820 μs |       0.767 μs |        208.05 μs |      25.3906 |       8.3008 |          - |        209 KB |
|                            ServiceStack_Text |       100 |        247.75 μs |       0.436 μs |       0.387 μs |        247.78 μs |      34.6680 |       8.3008 |          - |        286 KB |
|                                 Sky_Data_Csv |       100 |        278.23 μs |       2.754 μs |       2.576 μs |        278.24 μs |      65.4297 |      46.3867 |    24.4141 |        594 KB |
|                                 string_Split |       100 |        172.41 μs |       0.531 μs |       0.444 μs |        172.53 μs |      30.2734 |       7.5684 |          - |        248 KB |
|                       SoftCircuits_CsvParser |       100 |        178.80 μs |       0.386 μs |       0.342 μs |        178.83 μs |      27.0996 |       7.3242 |          - |        222 KB |
|                              Sylvan_Data_Csv |       100 |        185.45 μs |       0.437 μs |       0.409 μs |        185.51 μs |      15.6250 |       5.3711 |          - |        128 KB |
|                                TinyCsvReader |       100 |        531.16 μs |       1.882 μs |       1.760 μs |        531.42 μs |      83.9844 |      20.5078 |          - |        686 KB |
|                                       **ChoEtl** |      **1000** |     **64,687.06 μs** |     **460.825 μs** |     **431.056 μs** |     **64,782.50 μs** |    **1000.0000** |            **-** |          **-** |      **9,924 KB** |
|                            CommonLibrary_Net |      1000 |     33,418.84 μs |     192.018 μs |     179.614 μs |     33,426.69 μs |    1800.0000 |     800.0000 |    66.6667 |     15,094 KB |
|                                          Csv |      1000 |     19,205.79 μs |      63.901 μs |      59.773 μs |     19,235.42 μs |    1250.0000 |     500.0000 |          - |     10,238 KB |
|                                      CSVFile |      1000 |      2,788.36 μs |       6.910 μs |       6.125 μs |      2,789.82 μs |     597.6563 |     203.1250 |          - |      4,893 KB |
|                                    CsvHelper |      1000 |      2,244.22 μs |      36.705 μs |      34.334 μs |      2,244.72 μs |      62.5000 |      23.4375 |          - |        541 KB |
|                           CsvTextFieldParser |      1000 |      3,212.13 μs |      11.426 μs |       9.541 μs |      3,210.46 μs |     515.6250 |     226.5625 |          - |      4,212 KB |
|                                     CsvTools |      1000 |      4,584.57 μs |      24.895 μs |      23.286 μs |      4,578.50 μs |     257.8125 |     109.3750 |          - |      2,153 KB |
|                                     Ctl_Data |      1000 |      1,436.32 μs |      18.454 μs |      18.124 μs |      1,429.12 μs |     298.8281 |     105.4688 |          - |      2,453 KB |
|                                    Cursively |      1000 |      1,408.60 μs |       4.077 μs |       3.614 μs |      1,407.48 μs |      83.9844 |      33.2031 |          - |        690 KB |
|                                FastCsvParser |      1000 |      2,052.09 μs |       6.363 μs |       5.952 μs |      2,053.98 μs |     335.9375 |     203.1250 |    70.3125 |      2,429 KB |
|                                    FlatFiles |      1000 |      7,151.19 μs |      39.749 μs |      35.236 μs |      7,153.57 μs |     390.6250 |     171.8750 |          - |      3,195 KB |
|                                    FluentCsv |      1000 |      1,492.70 μs |       6.291 μs |       5.885 μs |      1,493.49 μs |     292.9688 |     121.0938 |          - |      2,391 KB |
|                                    HomeGrown |      1000 |      2,414.14 μs |      26.559 μs |      22.178 μs |      2,419.17 μs |     144.5313 |      66.4063 |          - |      1,206 KB |
|                                    LinqToCsv |      1000 |      4,445.99 μs |      32.361 μs |      30.270 μs |      4,445.47 μs |     703.1250 |     289.0625 |          - |      5,753 KB |
|                          LumenWorksCsvReader |      1000 |      2,924.60 μs |      13.356 μs |      12.493 μs |      2,919.60 μs |     652.3438 |     312.5000 |          - |      5,355 KB |
|                              mgholam_fastCSV |      1000 |      1,453.99 μs |       7.680 μs |       6.413 μs |      1,452.73 μs |     199.2188 |     113.2813 |    35.1563 |      1,480 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |      1000 |     18,759.45 μs |      32.842 μs |      29.114 μs |     18,754.71 μs |    5968.7500 |     625.0000 |    31.2500 |     48,898 KB |
|                                    NReco_Csv |      1000 |      1,713.73 μs |       6.546 μs |       5.467 μs |      1,715.97 μs |     156.2500 |      54.6875 |          - |      1,286 KB |
|                            ServiceStack_Text |      1000 |      2,162.96 μs |      12.124 μs |      11.341 μs |      2,160.61 μs |     335.9375 |     152.3438 |          - |      2,766 KB |
|                                 Sky_Data_Csv |      1000 |      2,010.84 μs |      34.706 μs |      32.464 μs |      1,990.44 μs |     359.3750 |     222.6563 |    62.5000 |      2,706 KB |
|                                 string_Split |      1000 |      1,337.36 μs |       3.444 μs |       3.221 μs |      1,337.26 μs |     292.9688 |     121.0938 |          - |      2,391 KB |
|                       SoftCircuits_CsvParser |      1000 |      1,614.10 μs |      10.553 μs |       9.872 μs |      1,612.57 μs |     257.8125 |     111.3281 |          - |      2,119 KB |
|                              Sylvan_Data_Csv |      1000 |      1,492.58 μs |       2.507 μs |       2.222 μs |      1,492.54 μs |     103.5156 |      66.4063 |    35.1563 |        692 KB |
|                                TinyCsvReader |      1000 |      5,161.05 μs |      11.916 μs |      11.146 μs |      5,160.14 μs |     812.5000 |     304.6875 |          - |      6,647 KB |
|                                       **ChoEtl** |     **10000** |    **662,932.86 μs** |   **2,867.186 μs** |   **2,541.686 μs** |    **663,580.50 μs** |   **12000.0000** |    **2000.0000** |          **-** |     **98,719 KB** |
|                            CommonLibrary_Net |     10000 |    393,458.55 μs |   6,418.856 μs |   6,004.202 μs |    390,959.50 μs |   19000.0000 |    7000.0000 |  2000.0000 |    151,987 KB |
|                                          Csv |     10000 |    206,523.07 μs |   1,137.775 μs |     950.093 μs |    206,440.07 μs |   13333.3333 |    3000.0000 |  1333.3333 |    102,428 KB |
|                                      CSVFile |     10000 |     44,321.23 μs |     846.167 μs |   1,039.169 μs |     44,576.30 μs |    6818.1818 |    2181.8182 |  1000.0000 |     49,234 KB |
|                                    CsvHelper |     10000 |     22,599.67 μs |     191.715 μs |     179.330 μs |     22,534.28 μs |     437.5000 |     281.2500 |    93.7500 |      3,206 KB |
|                           CsvTextFieldParser |     10000 |     48,582.82 μs |     641.118 μs |     599.702 μs |     48,835.29 μs |    5909.0909 |    2090.9091 |   909.0909 |     42,431 KB |
|                                     CsvTools |     10000 |     60,977.48 μs |     885.408 μs |     828.211 μs |     61,480.01 μs |    3000.0000 |    1444.4444 |   555.5556 |     21,364 KB |
|                                     Ctl_Data |     10000 |     38,314.93 μs |     373.733 μs |     349.590 μs |     38,413.42 μs |    3857.1429 |    1857.1429 |   928.5714 |     24,537 KB |
|                                    Cursively |     10000 |     15,591.81 μs |     118.902 μs |      92.831 μs |     15,644.73 μs |     531.2500 |     250.0000 |    93.7500 |      4,208 KB |
|                                FastCsvParser |     10000 |     33,474.79 μs |     602.129 μs |     502.805 μs |     33,666.94 μs |    2933.3333 |    1400.0000 |   533.3333 |     21,477 KB |
|                                    FlatFiles |     10000 |     86,966.76 μs |   1,155.790 μs |   1,024.578 μs |     87,285.50 μs |    4333.3333 |    1500.0000 |   500.0000 |     31,976 KB |
|                                    FluentCsv |     10000 |     31,261.21 μs |     489.478 μs |     457.858 μs |     31,499.71 μs |    3687.5000 |    1750.0000 |   812.5000 |     24,037 KB |
|                                    HomeGrown |     10000 |     36,139.00 μs |     146.161 μs |     136.719 μs |     36,167.47 μs |    1714.2857 |    1000.0000 |   357.1429 |     12,121 KB |
|                                    LinqToCsv |     10000 |     68,843.39 μs |   1,037.809 μs |     866.618 μs |     69,297.64 μs |    8000.0000 |    2750.0000 |  1250.0000 |     57,837 KB |
|                          LumenWorksCsvReader |     10000 |     47,626.53 μs |     294.316 μs |     229.783 μs |     47,662.80 μs |    7363.6364 |    2454.5455 |   909.0909 |     53,733 KB |
|                              mgholam_fastCSV |     10000 |     19,731.96 μs |     300.373 μs |     280.969 μs |     19,818.20 μs |    1687.5000 |     843.7500 |   218.7500 |     12,927 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |     10000 |    210,688.60 μs |   1,950.856 μs |   1,824.832 μs |    211,231.90 μs |   62000.0000 |    7333.3333 |  2000.0000 |    491,350 KB |
|                                    NReco_Csv |     10000 |     27,975.76 μs |     242.382 μs |     226.725 μs |     27,894.00 μs |    1781.2500 |    1062.5000 |   375.0000 |     12,206 KB |
|                            ServiceStack_Text |     10000 |     40,969.00 μs |     796.350 μs |     817.792 μs |     41,268.85 μs |    4307.6923 |    1923.0769 |   923.0769 |     27,787 KB |
|                                 Sky_Data_Csv |     10000 |     37,270.27 μs |     155.007 μs |     144.994 μs |     37,285.48 μs |    3571.4286 |    1714.2857 |   714.2857 |     24,048 KB |
|                                 string_Split |     10000 |     31,255.22 μs |     503.648 μs |     471.113 μs |     31,533.37 μs |    3687.5000 |    1750.0000 |   812.5000 |     24,036 KB |
|                       SoftCircuits_CsvParser |     10000 |     31,634.54 μs |     132.666 μs |     110.782 μs |     31,639.38 μs |    3000.0000 |    1375.0000 |   562.5000 |     21,303 KB |
|                              Sylvan_Data_Csv |     10000 |     15,882.45 μs |     116.414 μs |     108.893 μs |     15,861.96 μs |     406.2500 |     250.0000 |    93.7500 |      3,389 KB |
|                                TinyCsvReader |     10000 |     73,341.69 μs |   1,234.043 μs |   1,154.325 μs |     72,692.04 μs |    8857.1429 |    2571.4286 |  1000.0000 |     66,824 KB |
|                                       **ChoEtl** |    **100000** |  **6,578,430.28 μs** |  **25,517.845 μs** |  **23,869.408 μs** |  **6,580,316.70 μs** |  **124000.0000** |   **32000.0000** |  **4000.0000** |    **985,856 KB** |
|                            CommonLibrary_Net |    100000 |  4,193,961.79 μs |  15,731.640 μs |  13,945.689 μs |  4,193,943.70 μs |  185000.0000 |   66000.0000 |  8000.0000 |  1,517,145 KB |
|                                          Csv |    100000 |  2,024,759.20 μs |   9,438.566 μs |   8,828.841 μs |  2,023,361.80 μs |  129000.0000 |   34000.0000 |  4000.0000 |  1,023,414 KB |
|                                      CSVFile |    100000 |    468,182.68 μs |   2,624.950 μs |   2,191.952 μs |    468,820.70 μs |   64000.0000 |   24000.0000 |  5000.0000 |    491,423 KB |
|                                    CsvHelper |    100000 |    230,200.29 μs |   1,245.165 μs |   1,164.728 μs |    230,277.77 μs |    3666.6667 |    2000.0000 |   666.6667 |     27,501 KB |
|                           CsvTextFieldParser |    100000 |    499,725.47 μs |   3,378.944 μs |   3,160.666 μs |    499,776.60 μs |   55000.0000 |   22000.0000 |  4000.0000 |    423,677 KB |
|                                     CsvTools |    100000 |    601,787.97 μs |   8,488.837 μs |   7,940.464 μs |    599,802.00 μs |   27000.0000 |   10000.0000 |  2000.0000 |    212,790 KB |
|                                     Ctl_Data |    100000 |    377,222.14 μs |   9,200.057 μs |  27,126.576 μs |    389,964.05 μs |   32000.0000 |   13000.0000 |  3000.0000 |    244,683 KB |
|                                    Cursively |    100000 |    158,040.48 μs |   1,288.460 μs |   1,205.227 μs |    157,856.12 μs |    4500.0000 |    1750.0000 |   500.0000 |     36,236 KB |
|                                FastCsvParser |    100000 |    322,150.47 μs |   2,669.828 μs |   2,084.426 μs |    323,172.15 μs |   27000.0000 |   10000.0000 |  2000.0000 |    211,180 KB |
|                                    FlatFiles |    100000 |    899,704.34 μs |  10,605.108 μs |   9,920.025 μs |    897,488.20 μs |   41000.0000 |   13000.0000 |  3000.0000 |    318,884 KB |
|                                    FluentCsv |    100000 |    304,466.60 μs |   1,434.466 μs |   1,341.800 μs |    304,599.50 μs |   31000.0000 |   12000.0000 |  2000.0000 |    239,681 KB |
|                                    HomeGrown |    100000 |    387,279.73 μs |   1,762.448 μs |   1,648.595 μs |    387,299.60 μs |   16000.0000 |    9000.0000 |  2000.0000 |    120,583 KB |
|                                    LinqToCsv |    100000 |    644,279.02 μs |   2,940.375 μs |   2,750.429 μs |    644,202.10 μs |   75000.0000 |   24000.0000 |  5000.0000 |    577,477 KB |
|                          LumenWorksCsvReader |    100000 |    542,230.09 μs |   7,794.226 μs |   7,290.724 μs |    545,201.90 μs |   70000.0000 |   25000.0000 |  5000.0000 |    536,462 KB |
|                              mgholam_fastCSV |    100000 |    297,549.69 μs |   1,332.983 μs |   1,246.873 μs |    297,610.10 μs |   17000.0000 |    7000.0000 |  1500.0000 |    129,668 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |    100000 |  1,970,502.66 μs |   7,451.540 μs |   6,605.596 μs |  1,969,415.45 μs |  605000.0000 |  130000.0000 |  5000.0000 |  4,909,513 KB |
|                                    NReco_Csv |    100000 |    276,826.15 μs |   1,437.833 μs |   1,122.565 μs |    277,023.40 μs |   16000.0000 |    9000.0000 |  2000.0000 |    120,718 KB |
|                            ServiceStack_Text |    100000 |    354,731.74 μs |   2,379.894 μs |   2,109.714 μs |    355,199.75 μs |   35000.0000 |   11000.0000 |  2000.0000 |    277,182 KB |
|                                 Sky_Data_Csv |    100000 |    318,123.51 μs |   6,340.341 μs |   7,301.546 μs |    320,205.00 μs |   30000.0000 |   11000.0000 |  2000.0000 |    236,670 KB |
|                                 string_Split |    100000 |    304,881.27 μs |   1,612.487 μs |   1,429.428 μs |    305,390.65 μs |   31000.0000 |   12000.0000 |  2000.0000 |    239,681 KB |
|                       SoftCircuits_CsvParser |    100000 |    294,976.83 μs |   2,186.492 μs |   1,938.268 μs |    295,504.05 μs |   27500.0000 |   10500.0000 |  2500.0000 |    212,338 KB |
|                              Sylvan_Data_Csv |    100000 |    162,643.16 μs |     296.987 μs |     263.271 μs |    162,668.21 μs |    3750.0000 |    2250.0000 |   750.0000 |     27,682 KB |
|                                TinyCsvReader |    100000 |    728,294.14 μs |  12,306.356 μs |  11,511.373 μs |    726,980.50 μs |   85000.0000 |   26000.0000 |  4000.0000 |    667,366 KB |
|                                       **ChoEtl** |   **1000000** | **66,043,239.13 μs** | **122,759.932 μs** | **114,829.717 μs** | **66,056,651.20 μs** | **1212000.0000** |  **321000.0000** |  **8000.0000** |  **9,853,930 KB** |
|                            CommonLibrary_Net |   1000000 | 40,502,704.67 μs | 141,172.304 μs | 125,145.571 μs | 40,507,562.35 μs | 1785000.0000 |  892000.0000 | 11000.0000 | 15,154,822 KB |
|                                          Csv |   1000000 | 20,173,532.41 μs |  78,450.066 μs |  73,382.240 μs | 20,197,519.40 μs | 1258000.0000 |  336000.0000 |  8000.0000 | 10,230,087 KB |
|                                      CSVFile |   1000000 |  4,629,990.59 μs |  45,621.122 μs |  42,674.026 μs |  4,610,552.90 μs |  608000.0000 |  221000.0000 |  9000.0000 |  4,910,301 KB |
|                                    CsvHelper |   1000000 |  2,464,884.61 μs |  15,599.962 μs |  14,592.215 μs |  2,463,564.90 μs |   33000.0000 |   18000.0000 |  3000.0000 |    266,841 KB |
|                           CsvTextFieldParser |   1000000 |  4,985,535.89 μs |  26,590.435 μs |  20,760.063 μs |  4,988,975.70 μs |  524000.0000 |  147000.0000 |  8000.0000 |  4,232,603 KB |
|                                     CsvTools |   1000000 |  6,452,580.15 μs |  27,669.810 μs |  25,882.357 μs |  6,447,818.00 μs |  264000.0000 |   97000.0000 |  6000.0000 |  2,123,475 KB |
|                                     Ctl_Data |   1000000 |  3,788,863.69 μs |  51,739.560 μs |  40,394.845 μs |  3,792,317.10 μs |  303000.0000 |  104000.0000 |  6000.0000 |  2,442,639 KB |
|                                    Cursively |   1000000 |  1,716,736.13 μs |  15,138.545 μs |  14,160.604 μs |  1,715,221.00 μs |   44000.0000 |   17000.0000 |  3000.0000 |    352,919 KB |
|                                FastCsvParser |   1000000 |  3,749,319.92 μs |  19,326.045 μs |  18,077.594 μs |  3,753,482.50 μs |  261000.0000 |   93000.0000 |  6000.0000 |  2,104,690 KB |
|                                    FlatFiles |   1000000 |  9,196,784.55 μs |  24,110.316 μs |  21,373.167 μs |  9,192,911.60 μs |  395000.0000 |  105000.0000 |  7000.0000 |  3,184,524 KB |
|                                    FluentCsv |   1000000 |  3,140,401.25 μs |  27,417.256 μs |  22,894.650 μs |  3,136,400.00 μs |  297000.0000 |  107000.0000 |  6000.0000 |  2,392,907 KB |
|                                    HomeGrown |   1000000 |  4,256,692.76 μs |  58,855.536 μs |  55,053.505 μs |  4,227,410.90 μs |  151000.0000 |   80000.0000 |  6000.0000 |  1,201,573 KB |
|                                    LinqToCsv |   1000000 |  6,348,623.88 μs |  28,079.058 μs |  26,265.169 μs |  6,344,741.40 μs |  713000.0000 |  189000.0000 |  9000.0000 |  5,770,520 KB |
|                          LumenWorksCsvReader |   1000000 |  4,955,700.93 μs |  98,150.673 μs | 134,349.749 μs |  4,883,353.40 μs |  662000.0000 |  214000.0000 |  8000.0000 |  5,360,375 KB |
|                              mgholam_fastCSV |   1000000 |  3,072,198.39 μs |  53,875.251 μs |  50,394.944 μs |  3,087,273.80 μs |  160000.0000 |   59000.0000 |  5000.0000 |  1,291,183 KB |
| Microsoft_VisualBasic_FileIO_TextFieldParser |   1000000 | 19,322,630.19 μs |  38,851.132 μs |  36,341.373 μs | 19,323,687.20 μs | 6016000.0000 | 1293000.0000 |  9000.0000 | 49,090,662 KB |
|                                    NReco_Csv |   1000000 |  3,360,042.52 μs |  54,492.051 μs |  50,971.898 μs |  3,368,714.00 μs |  151000.0000 |   80000.0000 |  6000.0000 |  1,202,325 KB |
|                            ServiceStack_Text |   1000000 |  3,973,665.76 μs |  17,302.414 μs |  16,184.689 μs |  3,976,199.00 μs |  343000.0000 |  100000.0000 |  6000.0000 |  2,767,908 KB |
|                                 Sky_Data_Csv |   1000000 |  3,576,338.72 μs |  25,833.769 μs |  24,164.923 μs |  3,579,714.40 μs |  292000.0000 |  104000.0000 |  6000.0000 |  2,359,395 KB |
|                                 string_Split |   1000000 |  3,122,884.05 μs |  29,483.573 μs |  24,620.119 μs |  3,128,116.60 μs |  297000.0000 |  105000.0000 |  6000.0000 |  2,392,907 KB |
|                       SoftCircuits_CsvParser |   1000000 |  3,402,543.95 μs |  29,007.645 μs |  27,133.769 μs |  3,400,396.80 μs |  263000.0000 |   92000.0000 |  6000.0000 |  2,119,477 KB |
|                              Sylvan_Data_Csv |   1000000 |  1,712,631.52 μs |  13,858.489 μs |  12,963.239 μs |  1,715,194.30 μs |   33000.0000 |   18000.0000 |  3000.0000 |    267,028 KB |
|                                TinyCsvReader |   1000000 |  6,960,691.38 μs |  55,574.099 μs |  51,984.046 μs |  6,952,669.90 μs |  822000.0000 |  216000.0000 |  8000.0000 |  6,669,742 KB |
